## uefi-manager 25.5.01

=== debian/changelog ===
uefi-manager (25.5.01) mx; urgency=medium

  * Don't require elevation when starting the app

 -- Adrian <adrian@mxlinux.org>  Fri, 11 Apr 2025 16:16:58 -0400
