## uefi-manager 25.5.02

=== debian/changelog ===
uefi-manager (25.5.02) mx; urgency=medium

  * Handle the case when /boot/grub/grub.cfg is not present (if GRUB not fully
    installed)

 -- Adrian <adrian@mxlinux.org>  Wed, 16 Apr 2025 21:33:18 -0400
