## uefi-manager 25.6

=== debian/changelog ===
uefi-manager (25.6) mx; urgency=medium

  * Added Wiki manual entry

 -- Adrian <adrian@mxlinux.org>  Thu, 26 Jun 2025 20:50:12 -0400

uefi-manager (25.5.03) mx; urgency=medium

  * Update to Qt6

 -- Adrian <adrian@mxlinux.org>  Thu, 24 Apr 2025 20:54:48 -0400
