## uefi-manager 25.6.01

=== debian/changelog ===
uefi-manager (25.6.01) mx; urgency=medium

  * Update manual address

 -- Adrian <adrian@mxlinux.org>  Fri, 27 Jun 2025 21:19:45 -0400
