## uefi-manager 25.09

=== debian/changelog ===
uefi-manager (25.09) mx; urgency=medium

  * Disable 'cancel' and 'install' buttons while the stub is being
    installed
  * Fix 'Admin Access Required' message not showing up when canceling the
    elvation prompt
  * Escape special characters in kernel that break grep (fix for kernels names
    that contain '+' signs)

 -- Adrian <adrian@mxlinux.org>  Wed, 17 Sep 2025 22:46:17 -0400
