## uefi-manager 25.09.1

=== debian/changelog ===
uefi-manager (25.09.1) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Fri, 19 Sep 2025 09:53:31 -0400
